#ifndef PLAYER_H
#define PLAYER_H

#include <String.h>

class CPlayer
{
	public:
	protected:
		BString theLocation;
		BString thePlayerName;
		BString theWeapon;
		BString theArmor;
		int theWeaponStr;
		int theArmorStr;
		int theGold;
		int theMaxHP;
		int theHP;
		int theLevel;
		int theXP;
		int theStr;
		int theDef;
		int theCaveLevel;
		int theFights;
		int theDate;
	public:
		CPlayer();
		virtual ~CPlayer();
		void SetLocation( BString loc );
		BString GetLocation();
		bool LoadPlayer( BString name );
		void SavePlayer( BString name );
		void SetName( BString name );
		BString GetName();
		int GetBalance();
		void AddGold( int gold );
		bool SpendGold( int gold );
		int Heal( int hp );
		bool Damaged( int hp );
		int GetMaxHP();
		int GetHP();
		int GetLevel();
		int GetXP();
		bool AddXP( int xp );
		int GetStr();
		int GetDef();
		void AddStr( int add );
		void AddDef( int add );
		void GoUp();
		void GoDown();
		bool Fights();
		int IsHitBy( int monStr );
		int GetCaveLevel();
		int GetFights();
		void SetWeapon( BString name, int num );
		void SetArmor( BString name, int num );
		int GetWeaponStr();
		int GetArmorStr();
		BString GetWeapon();
		BString GetArmor();
		void AddFights( int fights );
	protected:
		void LevelUp();
};

#endif