#include "scaryapp.h"
#include "scarythread.h"
#include <Alert.h>

ScaryApp::ScaryApp( BString aAppSig, BString aDoorSig )
	: BeBSDoorKit( aAppSig, aDoorSig )
{
}

ScaryApp::~ScaryApp()
{
}

void ScaryApp::MessageReceived( BMessage* message )
{
	BeBSDoorKit::MessageReceived( message );
}

void ScaryApp::StartDoor( BMessage* message )
{
	ScaryThread* theScaryThread;
	
	theScaryThread = new ScaryThread( message->FindString( "UserName" ), doorSig );
	
	BeBSDoorKit::StartDoor( message );
}

int main( void )
{
	ScaryApp theDoor( "application/x-vnd.BeBS.ScaryApp", ".ScaryCaverns" );
	theDoor.Run();
	return 0;
}