#ifndef SCARYTHREAD_H
#define SCARYTHREAD_H

#include "bebsdoorthread.h"
#include "player.h"

class ScaryThread : public BeBSDoorThread
{
	public:
	protected:
		CPlayer thePlayer;
		bool isRunning;
	public:
		ScaryThread( BString aUserName, BString aDoorSig );
		virtual ~ScaryThread();
		virtual void RunDoor( void );
	protected:
		char Prompt();
		void Menu();
		void ProcessCommand( char theCommand );
		void NewPlayer();
		void Status();
		void Heal( int healed );
		void SendNumber( int number );
		void Fight( bool isBigBoss = false );
		void BuyItem( bool isWeapon = true );
		void WallOfFame();
		void SpecialEvent();
		void WinGame();
};

#endif